> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document

> **Beta:** This endpoint is in beta and may change.
Retrieve details of a specific document by its ID.




## OpenAPI

````yaml get /employer/documents/{document_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/documents/{document_id}:
    get:
      tags:
        - Documents
      summary: Get Document
      description: |
        **Beta:** This endpoint is in beta and may change.
        Retrieve details of a specific document by its ID.
      operationId: get-document
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - name: document_id
          in: path
          description: The unique identifier of the document.
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Successful response with document data specific to form type.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/W4Document2020'
                  - $ref: '#/components/schemas/W4Document2005'
                discriminator:
                  propertyName: type
              examples:
                W4_2020:
                  value:
                    type: w4_2020
                    year: 2020
                    data:
                      individual_id: f92b3db4-7bcb-4a54-a570-396bf99e041a
                      filing_status: single
                      amount_for_qualifying_children_under_17: 2000
                      amount_for_other_dependents: 1000
                      other_income: 500
                      deductions: 300
                      extra_withholding: 100
                W4_2005:
                  value:
                    type: w4_2005
                    year: 2005
                    data:
                      individual_id: f92b3db4-7bcb-4a54-a570-396bf99e041a
                      filing_status: married
                      total_number_of_allowances: 22000
                      additional_withholding: 10000
                      exemption: exempt
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 400
                  finch_code:
                    type: string
                    enum:
                      - w4_sync_required
                  message:
                    type: string
                  name:
                    type: string
                    example: bad_request
                  context:
                    type: object
                    properties:
                      docs_url:
                        type: string
                        format: uri
              examples:
                W4SyncRequired:
                  value:
                    code: 400
                    finch_code: w4_sync_required
                    message: >-
                      W4 documents are not available. Please trigger a W4 sync
                      job first.
                    name: bad_request
                    context:
                      docs_url: >-
                        https://developer.tryfinch.com/api-reference/management/enqueue-a-new-automated-job#w4-form-employee-sync
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const response = await
            client.hris.documents.retreive('document_id');


            console.log(response);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            response = client.hris.documents.retreive(
                document_id="document_id",
            )
            print(response)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tresponse, err := client.HRIS.Documents.Retreive(\n\t\tcontext.TODO(),\n\t\t\"document_id\",\n\t\tfinchgo.HRISDocumentRetreiveParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.DocumentRetreiveResponse;
            import com.tryfinch.api.models.HrisDocumentRetreiveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    DocumentRetreiveResponse response = client.hris().documents().retreive("document_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.DocumentRetreiveResponse
            import com.tryfinch.api.models.HrisDocumentRetreiveParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val response: DocumentRetreiveResponse = client.hris().documents().retreive("document_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            response = finch.hris.documents.retreive("document_id")

            puts(response)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    W4Document2020:
      type: object
      properties:
        type:
          type: string
          enum:
            - w4_2020
          description: >-
            Specifies the form type, indicating that this document is a 2020 W4
            form.
        year:
          type: number
          description: The tax year this W4 document applies to.
        data:
          type: object
          properties:
            individual_id:
              type: string
              format: uuid
              description: >-
                The unique identifier for the individual associated with this
                document.
            filing_status:
              type: string
              nullable: true
              enum:
                - head_of_household
                - married_filing_jointly_or_qualifying_surviving_spouse
                - single_or_married_filing_separately
                - null
              description: The individual's filing status for tax purposes.
            amount_for_qualifying_children_under_17:
              type: integer
              description: Amount claimed for dependents under 17 years old (in cents).
            total_claim_dependent_and_other_credits:
              type: integer
              description: >-
                Total amount claimed for dependents and other credits (in
                cents).
            amount_for_other_dependents:
              type: integer
              description: >-
                Amount claimed for dependents other than qualifying children
                under 17 (in cents).
            other_income:
              type: integer
              description: >-
                Additional income from sources outside of primary employment (in
                cents).
            deductions:
              type: integer
              description: Deductible expenses (in cents).
            extra_withholding:
              type: integer
              description: Additional withholding amount (in cents).
          required:
            - individual_id
            - filing_status
            - amount_for_qualifying_children_under_17
            - total_claim_dependent_and_other_credits
            - amount_for_other_dependents
            - other_income
            - deductions
            - extra_withholding
          description: Detailed information specific to the 2020 W4 form.
      required:
        - type
        - year
        - data
      description: >-
        A 2020 version of the W-4 tax form containing information on an
        individual's filing status, dependents, and withholding details.
    W4Document2005:
      type: object
      properties:
        type:
          type: string
          enum:
            - w4_2005
          description: >-
            Specifies the form type, indicating that this document is a 2005 W4
            form.
        year:
          type: number
          description: The tax year this W4 document applies to.
        data:
          type: object
          properties:
            individual_id:
              type: string
              format: uuid
              description: >-
                The unique identifier for the individual associated with this
                2005 W4 form.
            filing_status:
              type: string
              nullable: true
              enum:
                - married
                - married_but_withhold_at_higher_single_rate
                - single
                - null
              description: The individual's filing status for tax purposes.
            total_number_of_allowances:
              type: integer
              description: Total number of allowances claimed (in cents).
            additional_withholding:
              type: integer
              description: Additional withholding amount (in cents).
            exemption:
              type: string
              nullable: true
              enum:
                - exempt
                - non_exempt
                - null
              description: Indicates exemption status from federal tax withholding.
          required:
            - individual_id
            - filing_status
            - total_number_of_allowances
            - additional_withholding
            - exemption
          description: Detailed information specific to the 2005 W4 form.
      required:
        - type
        - year
        - data
      description: >-
        A 2005 version of the W-4 tax form containing information on an
        individual's filing status, dependents, and withholding details.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````